%define oname python-Levenshtein
%define version 0.11.1
%define release %mkrel 1

Summary: Levenshtein Python extension and C library
Name: python-levenshtein
Version: %{version}
Release: %{release}
Source0: https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
# nedded to build the html documentation
Source1: genextdoc.py
Patch0: python-Levenshtein-0.11.1-mga-encoding.patch
License: GPLv2+
Group: Development/Python
Url: http://github.com/ztane/python-Levenshtein
BuildRequires: python-devel
BuildRequires: python-setuptools
Provides: %{oname} = %{version}-%{release}

%description
The Levenshtein Python C extension module contains functions for fast
computation of
- Levenshtein (edit) distance, and edit operations
- string similarity
- approximate median strings, and generally string averaging
- string sequence and set similarity
It supports both normal and Unicode strings.

%package -n python3-levenshtein
Group: Development/Python
Summary: Levenshtein Python 3 extension and C library
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Provides: python3-Levenshtein = %{version}-%{release}

%description -n python3-levenshtein
The Levenshtein Python 3 C extension module contains functions for fast
computation of
- Levenshtein (edit) distance, and edit operations
- string similarity
- approximate median strings, and generally string averaging
- string sequence and set similarity
It supports both normal and Unicode strings.

%prep
%setup -q -n %{oname}-%{version}
install %{SOURCE1} .
%patch0 -p1
rm -rf python_Levenshtein.egg-info
cp -a . %{py3dir}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
%{__python} setup.py install --root=%{buildroot}

PYTHONPATH=$PYTHONPATH:%{buildroot}%{python_sitearch} %{__python} ./genextdoc.py Levenshtein

pushd %{py3dir}
%{__python3} setup.py install --root=%{buildroot}
popd


%files
%doc README.rst HISTORY.txt
%doc Levenshtein.html
%{python_sitearch}/*.so
%{python_sitearch}/*.egg-info

%files -n python3-levenshtein
%doc README.rst HISTORY.txt
%doc Levenshtein.html
%{python3_sitearch}/*.so
%{python3_sitearch}/*.egg-info




%changelog
* Fri Dec 27 2013 philippem <philippem> 0.11.1-1.mga4
+ Revision: 560962
- Update to 0.11.1, add Python 3

* Tue Oct 22 2013 umeabot <umeabot> 0.10.1-6.mga4
+ Revision: 543753
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.10.1-5.mga4
+ Revision: 498849
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.10.1-4.mga3
+ Revision: 379042
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 20 2011 dmorgan <dmorgan> 0.10.1-3.mga1
+ Revision: 88993
- imported package python-levenshtein

  + rtp <rtp>
    - add missing -lm on link command line

